Package dev.plex.util

# Class UpdateChecker

java.lang.Object
dev.plex.util.UpdateChecker

All Implemented Interfaces:
  `PlexBase`

public class UpdateChecker extends Object implements PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`BRANCH`
`private int`
`distance`
`private final String`
`DOWNLOAD_PAGE`
`private final String`
`REPO`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`UpdateChecker()`

## Method Summary

Modifier and Type
Method
Description
`private int`
`fetchDistanceFromGitHub(String repo, String branch, String hash)`
`boolean`
`getUpdateStatusMessage(org.bukkit.command.CommandSender sender, boolean cached, int verbosity)`
`void`
`updateJar(org.bukkit.command.CommandSender sender, String name, boolean module)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DOWNLOAD_PAGE

private final String DOWNLOAD_PAGE

See Also:
  - Constant Field Values

### REPO

private final String REPO

### BRANCH

private String BRANCH

### distance

private int distance

## Constructor Details

### UpdateChecker

public UpdateChecker()

## Method Details

### fetchDistanceFromGitHub

private int fetchDistanceFromGitHub(@Nonnull String repo, @Nonnull String branch, @Nonnull String hash)

### getUpdateStatusMessage

public boolean getUpdateStatusMessage(org.bukkit.command.CommandSender sender, boolean cached, int verbosity)

### updateJar

public void updateJar(org.bukkit.command.CommandSender sender, String name, boolean module)